Patterned Bar in JavaScript

Using ApexCharts with JavaScript

This Patterned Bar example uses ApexCharts.js directly in JavaScript, with no wrapper component.

Install it with npm install apexcharts, then mount the chart with new ApexCharts(element, options).render().

JavaScript installation guide
var options = {
  series: [
    {
      name: 'Coal',
      data: [44, 55, 41, 37, 22, 43, 21],
    },
    {
      name: 'Natural Gas',
      data: [53, 32, 33, 52, 13, 43, 32],
    },
    {
      name: 'Solar',
      data: [12, 17, 11, 9, 15, 11, 20],
    },
    {
      name: 'Wind',
      data: [9, 7, 5, 8, 6, 9, 4],
    },
  ],
  chart: {
    type: 'bar',
    height: 350,
    stacked: true,
  },
  plotOptions: {
    bar: {
      horizontal: true,
      barHeight: '60%',
    },
  },
  dataLabels: {
    enabled: false,
  },
  stroke: {
    width: 2,
  },
  title: {
    text: 'Electricity Generation by Source',
  },
  xaxis: {
    categories: [2019, 2020, 2021, 2022, 2023, 2024, 2025],
  },
  yaxis: {
    title: {
      text: undefined,
    },
  },
  tooltip: {
    shared: false,
    y: {
      formatter: function (val) {
        return val + ' TWh'
      },
    },
  },
  fill: {
    type: 'pattern',
    opacity: 1,
    pattern: {
      style: ['circles', 'slantedLines', 'verticalLines', 'horizontalLines'], // string or array of strings
    },
  },
  states: {
    hover: {
      filter: 'none',
    },
  },
  legend: {
    position: 'right',
    offsetY: 40,
  },
}

var chart = new ApexCharts(document.querySelector('#chart'), options)
chart.render()

Patterned Bar in Vue

Using ApexCharts with Vue

This Patterned Bar example wires ApexCharts into Vue through the vue3-apexcharts component.

Install it with npm install vue3-apexcharts apexcharts, then mount the chart with <apexchart type="..." :options="options" :series="series" />.

Vue charts guide
<template>
  <div>
    <div id="chart">
      <apexchart
        type="bar"
        height="350"
        :options="chartOptions"
        :series="series"
      ></apexchart>
    </div>
  </div>
</template>

<script>
import VueApexCharts from 'vue-apexcharts'

export default {
  components: {
    apexchart: VueApexCharts,
  },
  data: function () {
    return {
      series: [
        {
          name: 'Coal',
          data: [44, 55, 41, 37, 22, 43, 21],
        },
        {
          name: 'Natural Gas',
          data: [53, 32, 33, 52, 13, 43, 32],
        },
        {
          name: 'Solar',
          data: [12, 17, 11, 9, 15, 11, 20],
        },
        {
          name: 'Wind',
          data: [9, 7, 5, 8, 6, 9, 4],
        },
      ],
      chartOptions: {
        chart: {
          type: 'bar',
          height: 350,
          stacked: true,
        },
        plotOptions: {
          bar: {
            horizontal: true,
            barHeight: '60%',
          },
        },
        dataLabels: {
          enabled: false,
        },
        stroke: {
          width: 2,
        },
        title: {
          text: 'Electricity Generation by Source',
        },
        xaxis: {
          categories: [2019, 2020, 2021, 2022, 2023, 2024, 2025],
        },
        yaxis: {
          title: {
            text: undefined,
          },
        },
        tooltip: {
          shared: false,
          y: {
            formatter: function (val) {
              return val + ' TWh'
            },
          },
        },
        fill: {
          type: 'pattern',
          opacity: 1,
          pattern: {
            style: [
              'circles',
              'slantedLines',
              'verticalLines',
              'horizontalLines',
            ], // string or array of strings
          },
        },
        states: {
          hover: {
            filter: 'none',
          },
        },
        legend: {
          position: 'right',
          offsetY: 40,
        },
      },
    }
  },
}
</script>

<style>
#chart {
  max-width: 650px;
  margin: 35px auto;
}
</style>

Patterned Bar in React

Using ApexCharts with React

This Patterned Bar example wires ApexCharts into React through the react-apexcharts component.

Install it with npm install react-apexcharts apexcharts, then mount the chart with <Chart type="..." options={options} series={series} />.

React charts guide
import React from 'react'
import ReactApexChart from 'react-apexcharts'
import './styles.css'

const ApexChart = () => {
  const [state, setState] = React.useState({
    series: [
      {
        name: 'Coal',
        data: [44, 55, 41, 37, 22, 43, 21],
      },
      {
        name: 'Natural Gas',
        data: [53, 32, 33, 52, 13, 43, 32],
      },
      {
        name: 'Solar',
        data: [12, 17, 11, 9, 15, 11, 20],
      },
      {
        name: 'Wind',
        data: [9, 7, 5, 8, 6, 9, 4],
      },
    ],
    options: {
      chart: {
        type: 'bar',
        height: 350,
        stacked: true,
      },
      plotOptions: {
        bar: {
          horizontal: true,
          barHeight: '60%',
        },
      },
      dataLabels: {
        enabled: false,
      },
      stroke: {
        width: 2,
      },
      title: {
        text: 'Electricity Generation by Source',
      },
      xaxis: {
        categories: [2019, 2020, 2021, 2022, 2023, 2024, 2025],
      },
      yaxis: {
        title: {
          text: undefined,
        },
      },
      tooltip: {
        shared: false,
        y: {
          formatter: function (val) {
            return val + ' TWh'
          },
        },
      },
      fill: {
        type: 'pattern',
        opacity: 1,
        pattern: {
          style: [
            'circles',
            'slantedLines',
            'verticalLines',
            'horizontalLines',
          ], // string or array of strings
        },
      },
      states: {
        hover: {
          filter: 'none',
        },
      },
      legend: {
        position: 'right',
        offsetY: 40,
      },
    },
  })

  return (
    <div>
      <div id="chart">
        <ReactApexChart
          options={state.options}
          series={state.series}
          type="bar"
          height={350}
        />
      </div>
    </div>
  )
}

export default ApexChart